org.apache.hc.client5.http

## Enum RouteInfo.LayerType

- java.lang.Object
- - java.lang.Enum<RouteInfo.LayerType>
  - - org.apache.hc.client5.http.RouteInfo.LayerType

- All Implemented Interfaces:
    Serializable, Comparable<RouteInfo.LayerType>
  Enclosing interface:
    RouteInfo

      public static enum RouteInfo.LayerType
      extends Enum<RouteInfo.LayerType>

  The layering type of a route. Plain routes are established by connecting or tunnelling. Layered routes are established by layering a protocol such as TLS/SSL over an existing connection. Protocols can only be layered over a tunnel to the target, or or over a direct connection without proxies.

  Layering a protocol over a direct connection makes little sense, since the connection could be established with the new protocol in the first place. But we don't want to exclude that use case.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LAYERED`
    `PLAIN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouteInfo.LayerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RouteInfo.LayerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLAIN

          public static final RouteInfo.LayerType PLAIN

    - #### LAYERED

          public static final RouteInfo.LayerType LAYERED

  - ### Method Detail

    - #### values

          public static RouteInfo.LayerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RouteInfo.LayerType c : RouteInfo.LayerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RouteInfo.LayerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.